Package com.ngrok.definitions

# Class EndpointCompression.Builder

java.lang.Object
com.ngrok.definitions.EndpointCompression.Builder

Enclosing class:
  EndpointCompression

public static class EndpointCompression.Builder extends Object
Builder class for `EndpointCompression`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointCompression`
  `build()`
  Constructs the `EndpointCompression` instance.
  `EndpointCompression.Builder`
  `enabled(boolean enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointCompression.Builder`
  `enabled(Optional<Boolean> enabled)`
  `true` if the module will be applied to traffic, `false` to disable.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enabled

    public EndpointCompression.Builder enabled(boolean enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`
    Returns:
      this builder instance

  - ### enabled

    public EndpointCompression.Builder enabled(Optional<Boolean> enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointCompression build()
    Constructs the `EndpointCompression` instance.
    Returns:
      a new `EndpointCompression`